package com.ss.android.ugc.aweme.setting.page.security;

import X.9EH;
import X.AnonymousClass2UX;
import X.C12422nK;
import X.C27973Tp;
import X.C53004Rw;
import X.LnX;
import X.M12;
import android.view.View;
import com.bytedance.covode.number.Covode;
import com.bytedance.router.SmartRoute;
import com.bytedance.router.SmartRouter;
import com.ss.android.ugc.aweme.setting.page.base.RightTextCell;

public final class SecurityIncomeCell extends RightTextCell<C53004Rw> {
    static {
        Covode.recordClassIndex(106060);
    }

    public final void onClick(View view) {
        M12.LIZ(view);
        super.onClick(view);
        AnonymousClass2UX r1 = new AnonymousClass2UX();
        r1.LIZ("enter_from", "setting_security");
        C12422nK.LIZ("click_income_plus_verification", r1.LIZ);
        C27973Tp r3 = new C27973Tp("https://www.tiktok.com/inapp/reauth/settings");
        r3.LIZ("locale", LnX.LIZIZ());
        r3.LIZ("aid", 9EH.LJIILJJIL);
        r3.LIZ("enter_from", "account_security_settings");
        SmartRoute buildRoute = SmartRouter.buildRoute(this.LIZ, "aweme://webview");
        buildRoute.withParam("url", r3.LIZ());
        buildRoute.withParam("hide_nav_bar", true);
        buildRoute.open();
    }
}
